JapaneseAnalyzer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ja.JapaneseAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ja
Class JapaneseAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.ja.JapaneseAnalyzer

All Implemented Interfaces:
  Closeable

    public class JapaneseAnalyzer

extends StopwordAnalyzerBase

Analyzer for Japanese that uses morphological analysis.

See Also:
  `JapaneseTokenizer`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`ReusableAnalyzerBase.TokenStreamComponents`

Field Summary

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`JapaneseAnalyzer(Version matchVersion)`
`JapaneseAnalyzer(Version matchVersion, UserDictionary userDict, JapaneseTokenizer.Mode mode, CharArraySet stopwords, Set<String> stoptags)`

Method Summary
`protected ReusableAnalyzerBase.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates a new `ReusableAnalyzerBase.TokenStreamComponents` instance for this analyzer.
`static CharArraySet` | `getDefaultStopSet()`
`static Set<String>` | `getDefaultStopTags()`

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JapaneseAnalyzer

    public JapaneseAnalyzer(Version matchVersion)

### JapaneseAnalyzer

    public JapaneseAnalyzer(Version matchVersion,
                            UserDictionary userDict,
                            JapaneseTokenizer.Mode mode,
                            CharArraySet stopwords,
                            Set<String> stoptags)

Method Detail

### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

### getDefaultStopTags

    public static Set<String> getDefaultStopTags()

### createComponents

    protected ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                          Reader reader)

  Description copied from class: `ReusableAnalyzerBase`
  Creates a new `ReusableAnalyzerBase.TokenStreamComponents` instance for this analyzer.

  Specified by:
    `createComponents` in class `ReusableAnalyzerBase`
  Parameters:
    `fieldName` - the name of the fields content passed to the `ReusableAnalyzerBase.TokenStreamComponents` sink as a reader
    `reader` - the reader passed to the `Tokenizer` constructor
  Returns:
    the `ReusableAnalyzerBase.TokenStreamComponents` for this analyzer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD